PT ARITA - Support #1714

[Performance Management] - Performance Appraisal - Validasi Weight
10/19/2022 10:00 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 10/19/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mba Yomma,

Mohon dibantu untuk buatkan validasi kolom KPI| Weight dan Qualification Weight di table Penilai (PHRPA0048) dengan total per
kolom harus 100 untuk HR PMS Goal Setting, Review dan Final .

M, Peniai
O Add ﬁ] Celate
Appraiser Mo. Appraiser D Appraiser Type KPPl Weight Qualification Weight
Appraiser 1
Appraiser 2

Port: http://remote.minovais.com:31131/

Server: remote.minovais.com,1442

DB: MinovaES_Arita_Dev

Menu: HR Strategic > Performance Management > Performance Appraisal

Terima kasih.

History

#1 - 10/19/2022 10:00 AM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#2 - 10/19/2022 02:54 PM - Fiona Avangeline Jonathan

- Description updated

#3 - 11/17/2022 03:38 PM - Tri Rizqiaty
- File clipboard-202211171538-7dru5.png added
- File controllerperformance.js added

- Status changed from Assigned to Developing

fixing :

1. update folder UNapp\controller\performance : controllerperformance.js (file terlampir)

07/01/2025 1/4



http://remote.minovais.com:31131/

Web config £3 ] Minovaltil FieldGenerator js __,] Minoval kil FieldGeneratorjs £3 [ controllerperformance js 3 | Log __,} wizard j __,]

J; b

=] Val].das]lﬁppﬂe1gh: : function () { // add by Tri nwh 20221117
var me = this;

var form = Ext.ComponentQuery.query (' [name=mainfo
var form_= form.getForm():

wvar data = form_.getValues():
wvar Sum = Ext.StoreMgr.lockup(”s
wvar DataSum = Ext.encode (Ext.plucl
wvar SumKPIWeight =

wvar SumQualWeight =

wvar idx = Sum.getCount();

var data = '';

L each (Ext.decode (DataSum) , function (rec) [

SumKPIWeight = parseFloat (SumKPIWeight) + parseFloat (rec.KPIWeight):;
SumQualWeight = parseFloat(SumQualWeight) + parseFloat(rec.QualificationWeight) :
if (SumKPIWeight >= )

{

MinovaMessage ("', 'FP
store.remove (1dx, data);

}
if (SumQualWeight »= 100)
{

MinovaMessage ("', iz 06
store.remove (idx, data);

2. update table SMESSAGECATALOG sesuai file excel terlampir

#4 - 11/17/2022 03:40 PM - Tri Rizqiaty
- File PMS.xIsx added

#5 - 11/17/2022 03:40 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Fiona Avangeline Jonathan

#6 - 01/06/2023 09:49 AM - Fiona Avangeline Jonathan

- File clipboard-202301060949-xn71e.png added

- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to Tri Rizqgiaty

Mba Yom,

Mohon dibantu validasi weight masih muncul error.
My Workplace Master Data

remote.minovais.com:31131 says

S¢

Indonesia Tbk

add
Employee ID: 000(
Full Mame: AR
Employes Status: Activ -
Employee Type: Tetap Posit Staff IT Suppori 1

Performance Header

Start Date: 01/01/2022
End Date: 322022
Appraisal Type: 01 - Goal Setting
Appraisal Period: 01 Jan - 31 Des 2022
Appraisal Date: 06/12/2022
Motes:

A, Penilai

© Add W Delete

Appraiser No. Appraiser 1D AppraiserName Appraiser Type
Appraiser 1 00000073 CANDRA SETIAWINATA Ds
Terima kasih.

#7 - 02/02/2023 03:19 PM - Tri Rizqiaty
- File controllerperformance.js added
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Fiona Avangeline Jonathan

Fixing :
Update folder UNapp\controller\performance : controllerperformance.js (file terlampir)

#8 - 02/02/2023 05:31 PM - Fiona Avangeline Jonathan
- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to Tri Rizqiaty

Mba Yomma, mohon dibantu update untuk fixing nya.
Terima kasih.

#9 - 02/02/2023 05:35 PM - Tri Rizqiaty

- File clipboard-202302021733-qqbrr.png added
- File MinovaXtype.js added

- File PHRPA0048 - KPIWeight.js added

- File PHRPA0048 - QualificationWeight.js added
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Fiona Avangeline Jonathan

Update fixing :

1. Update Ul\script : MinovaXtype.js (file terlampir)

07/01/2025

Creafte By:
Create Date:
Change By:

Change Date:

KPl Weight Qualification Weight

100 100
HE Minovalktil js _.1 Web config _.ll'vhno-faxt;upe.Js _.1 B CtiTm TaPayroll js 41 TmToPayroll js _.I InputPremiHING js _.I InputPremiHING js _.1 H CtrinputPremiHING js _.I Brew 1 £ [ MinovaXtype js B3 | controllempeformance js £3 ‘

listenersa: {

beoL00y:
}
}
i
items: [{
xtype: 'mino

MaxHeigth:
cls: 'bo
border: false,
MaxHeigth: '30',
scroll: true,

"beforeshow': function (g)

if (tableName = 'FDSEMP0002') //add by Tri nwh 20230202 untuk appraisalid PMS

fieldValue: fieldValue_,
isGrid: isGrid_,

bodyBorder: false,
!

pnl.mask('Loading...");
setTimeout (function () {
pnl.unmask() ;

Search resutts - (4 hits)

Search "//modal: true,\n

C:\ClientApp\2213 Arita\UI\scripts\MinovaXtype.js (4 hits)

listeners:

Line //modal: true,
Line H //modal !
Line H //modal:

Line : //modal:

{\n

'beforeshow" :

funection (g) {\n

pnl.mask('Loading..."):\n

2. Update SDATATABLEFIELD - PHRPAO0048 - field KPIWeight, QualificationWeight : rubah isi field SelectFunction sesuai file terlampir

#10 - 02/02/2023 05:42 PM - Fiona Avangeline Jonathan

- Status changed from QA Test to Closed

Files

clipboard-202210190958-o0cit.png
clipboard-202211171538-7dru5.png
controllerperformance.js
